import random

def znajdz_najdluzszy_podciag_niemalejacy(ciag):
    poczatek_najd_ciagu = koniec_najd_ciagu = 0
    poczatek_sprawdz_ciagu = 0
    for koniec_sprawdz_ciagu in range(1, len(ciag)):
        if ciag[koniec_sprawdz_ciagu] >= ciag[koniec_sprawdz_ciagu - 1]:  # Mamy ciąg niemalejący
            if koniec_sprawdz_ciagu - poczatek_sprawdz_ciagu > koniec_najd_ciagu - poczatek_najd_ciagu:
                # Znaleziono nowy najdłuższy
                koniec_najd_ciagu = koniec_sprawdz_ciagu
                poczatek_najd_ciagu = poczatek_sprawdz_ciagu
        else:  # Koniec ciągu niemalejącego, zaczynamy nowy ciąg
            poczatek_sprawdz_ciagu = koniec_sprawdz_ciagu
    return poczatek_najd_ciagu, koniec_najd_ciagu

def testuj():
    LICZBA_WYRAZOW = 10
    ciag = [random.randint(0, 9) for _ in range(LICZBA_WYRAZOW)]
    print("Ciąg:", ciag)
    poczatek, koniec = znajdz_najdluzszy_podciag_niemalejacy(ciag)
    print(f"Najdłuższy spójny podciąg niemalejący od: ciag[{poczatek}]={ciag[poczatek]}, do: ciag[{koniec}]={ciag[koniec]}, dlugosc ciagu: {koniec - poczatek + 1}")

def main():
    for _ in range(10):
        testuj()

if __name__ == "__main__":
    main()
